Patch Booking

Patches a booking given its id. Note: All required body params in the schema are not enforced in PATCH request, unlike path params.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Eightfold Booking ID

Body Params
string | null

User who updated the booking

boolean | null

A flag indicating if booking is archived

string

Start date of the booking in ISO format (YYYY-MM-DD)

float
required

Booked capacity of employee

int32

[DEPRECATED] Start date of the booking. Use startDateIso instead.

string
enum
required

Status of the booking. Possible values: ['pending', 'approved', 'rejected']

Allowed:
int32 | null

Demand id associated with the booking

int32

[DEPRECATED] End date of the booking. Use endDateIso instead.

string
enum
required

Type of the booking. Possible values: ['demand', 'leave', 'optional_holiday', 'blocker']

Allowed:
string

End date of the booking in ISO format (YYYY-MM-DD)

string | null

User who created the booking

string
required

Email of employee

Headers
string
required

The secret key to access the api. It starts with the bearer token

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json